Next | Query returned 25 messages, browsing 1 to 10 | Previous

History of commit frequency

CVS Commit History:


   2020-10-21 11:27:40 by Kimmo Suominen | Files touched by this commit (2) | Package updated
Log message:
oniguruma: update to 6.9.6rc4

Changes since 6.9.6rc3:
- Revert fix for CVE-2020-26159, which was actually a false positive from
  Coverity checks (issue #221).
   2020-10-17 09:42:23 by Kimmo Suominen | Files touched by this commit (2) | Package updated
Log message:
oniguruma: update to 6.9.6rc3

Changes since 6.9.6rc2:
- Fix a binary compatibility issue (missing `reg_number_of_names' symbol)
- Fix a build issue using msys2 and mingw64 on Windows 10
   2020-10-13 00:21:30 by Kimmo Suominen | Files touched by this commit (2) | Package updated
Log message:
oniguruma: update to 6.9.6rc2

Changes since 6.9.6rc1:
- Fix a Windows build issue.
   2020-10-07 23:27:18 by Kimmo Suominen | Files touched by this commit (2) | Package updated
Log message:
oniguruma: updated to 6.9.6rc1

Add handling of -revN as plN (instead of .N) and -rcN as rcN in Makefile.
Use the -revN or -rcN naming in DISTFILE, as they are (apparently) created
automatically by GitHub. Munge GITHUB_RELEASE to produce the tag name with
an underscore instead of a hyphen before rev or rc. Munge WRKSRC to strip
both -revN and -rcN.

6.9.6 Release Candidate 1
- In a Unix environment, if you have the POSIX API enabled in
  an earlier version (disabled by default in 6.9.5) and you
  need application binary compatibility with the POSIX API,
  specify "--enable-binary-compatible-posix-api=yes" instead of
  "--enable-posix-api=yes". "--enable-posix-api=yes" only \ 
supports
  source-level compatibility for POSIX API since 6.9.6.
- NEW: configure option --enable-binary-compatible-posix-api=[yes/no]
- NEW API: Limiting the maximum number of calls of subexp-call
- NEW API: ONIG_OPTION_NOT_BEGIN_STRING / NOT_END_STRING /
  NOT_BEGIN_POSITION
- Fixed behavior of ONIG_OPTION_NOTBOL / NOTEOL
- Fixed many problems found by OSS-Fuzz
- Fixed many problems found by Coverity
- Fixed CVE-2020-26159
   2020-06-10 15:57:20 by Hauke Fath | Files touched by this commit (2)
Log message:
Upstream stoppped installing onigposix.h, which e.g. wip/libevhtp
expects to find.

Restore the old behaviour.
   2020-06-08 13:26:32 by Adam Ciarcinski | Files touched by this commit (3) | Package updated
Log message:
oniguruma: updated to 6.9.5.1

Release 6.9.5 revised 1
Fixed Issue 192

Release 6.9.5
(Same as Release Candidate 2)
POSIX API disabled by default for Unix (* Enabled by: configure \ 
--enable-posix-api=yes)
Update Unicode version 13.0.0
NEW: Code point sequence notation \x{HHHH HHHH ...}, \o{OOOO OOOO ...}
NEW API: retry limit in search functions
NEW API: maximum nesting level of subexp call
Fixed behavior of isolated options in Perl and Java syntaxes. /...(?i).../
   2019-12-11 19:50:46 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
oniguruma: updated to 6.9.4

Release 6.9.4
(Almost same as Release Candidate 3)
NEW API: RegSet (set of regexes)
Fixed CVE-2019-19012
Fixed CVE-2019-19203 (Does not affect UTF-8, UTF-16 and UTF-32 encodings)
Fixed CVE-2019-19204 (Affects only PosixBasic, Emacs and Grep syntaxes)
Fixed CVE-2019-19246
Fixed some problems (found by libFuzzer test)
   2019-08-16 16:34:44 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
oniguruma: update to 6.9.3.

2019/08/06: Version 6.9.3 (secirity fix release)

2019/07/30: add ONIG_SYN_ALLOW_INVALID_CODE_END_OF_RANGE
2019/07/29: add STK_PREC_READ_START/END stack type
2019/07/29: Fix #147: Stack Exhaustion Problem caused by some parsing functions
2019/07/11: add a dictionary file for libfuzzer
2019/07/07: add harnesses directory
2019/07/05-2019/07/29: fix many problems found by libfuzzer programs
2019/06/27: deprecate onig_new_deluxe()
2019/06/27: Fix CVE-2019-13224: don't allow different encodings for onig_new_deluxe()
2019/06/27: Fix CVE-2019-13225: problem in converting if-then-else pattern
   2019-05-21 20:22:04 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
oniguruma: update to 6.9.2.

add doc/SYNTAX.md into distribution file
Update Unicode version 12.1.0
NEW: Unicode Text Segment mode option (?y{g}) (?y{w})
   2018-12-12 13:46:59 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
oniguruma: updated to 6.9.1

release 6.9.1
Speed improvement (* especially UTF-8)

Next | Query returned 25 messages, browsing 1 to 10 | Previous